<details class="rui-dropdown rui-dropdown--block">
  <summary class="rui-button rui-dropdown__trigger">
    <!-- Wrap content to push the arrow at the end -->
    <span>Click me</span>
  </summary>

  <div class="rui-dropdown__content">
    <div class="rui-menu">Content</div>
  </div>
</details>
